Бюллетень по безопасности Android – март 2018 г.

Опубликовано 5 марта 2018 г. | Обновлено 7 марта 2018 г.

В этом бюллетене содержится информация об уязвимостях в защите устройств Android. Все актуальные проблемы, перечисленные здесь, устранены в исправлении от 5 марта 2018 года или более новом. Информацию о том, как проверить обновления системы безопасности, можно найти в Справочном центре.

Мы сообщили партнерам обо всех проблемах по крайней мере за месяц до выхода бюллетеня. Исправления уязвимостей доступны в хранилище Android Open Source Project (AOSP). В этом бюллетене также приведены ссылки на исправления вне AOSP.

Самая серьезная из проблем – критическая уязвимость в Media Framework, которая позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла. Уровень серьезности зависит от того, какой ущерб будет нанесен устройству при атаке с использованием уязвимости, если средства защиты будут отключены разработчиком или взломаны.

У нас нет информации о том, что обнаруженные уязвимости эксплуатировались. В разделе Предотвращение атак рассказано о том, как платформа безопасности и Google Play Защита помогают снизить вероятность атак на Android.

Примечание. Информация о последних автоматических обновлениях (OTA) и образах встроенного ПО для устройств Google содержится в бюллетене по безопасности Pixel  и Nexus за март 2018 года.

Предотвращение атак

Ниже рассказано о том, как платформа безопасности и средства защиты сервисов, например Google Play Защита, позволяют снизить вероятность атак на Android.

  • В новых версиях Android сложнее использовать многие уязвимости, поэтому мы рекомендуем всем пользователям своевременно обновлять систему.
  • Команда, отвечающая за безопасность Android, активно отслеживает злоупотребления с помощью Google Play Защиты и предупреждает пользователей об установке потенциально опасных приложений. Google Play Защита включена по умолчанию на всех устройствах с сервисами Google для мобильных устройств. Она особенно важна, если пользователь устанавливает ПО из сторонних источников.

Описание уязвимостей (обновление системы безопасности 2018-03-01)

В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2018-03-01. Проблемы сгруппированы по компонентам, которые они затрагивают. Для каждого приведены описание и таблица с CVE, ссылками, типом, уровнем серьезности, а также версиями AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.

Media Framework

Самая серьезная уязвимость позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла.

CVE Ссылки Тип Уровень серьезности Обновленные версии AOSP
CVE-2017-13248 A-70349612 УВК Критический 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13249 A-70399408 УВК Критический 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13250 A-71375536 УВК Критический 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13251 A-69269702 ПП Критический 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13252 A-70526702 ПП Высокий 8.0, 8.1
CVE-2017-13253 A-71389378 ПП Высокий 8.0, 8.1

Система

Самая серьезная уязвимость позволяет находящемуся поблизости злоумышленнику выполнять произвольный код в контексте привилегированного процесса.

CVE Ссылки Тип Уровень серьезности Обновленные версии AOSP
CVE-2017-13255 A-68776054 УВК Критический 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13256 A-68817966 УВК Критический 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13272 A-67110137 [2] УВК Критический 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13266 A-69478941 УВК Критический 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13257 A-67110692 РИ Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13258 A-67863755 РИ Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13259 A-68161546 [2] РИ Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13260 A-69177251 РИ Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13261 A-69177292 РИ Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1
CVE-2017-13262 A-69271284 РИ Высокий 5.1.1, 6.0, 6.0.1, 7.0, 7.1.1, 7.1.2, 8.0, 8.1

Описание уязвимостей (обновление системы безопасности 2018-03-05)

В этом разделе вы найдете подробную информацию обо всех уязвимостях, устраненных в обновлении системы безопасности 2018-03-05. Проблемы сгруппированы по компонентам, которые они затрагивают. Для каждого приведена таблица с CVE, ссылками, типом, уровнем серьезности, а также версиями AOSP (при наличии). Где возможно, мы приводим основную ссылку на опубликованное изменение, связанное с идентификатором ошибки (например, список AOSP), и дополнительные ссылки в квадратных скобках.

Компоненты ядра

Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-16530 A-69051940
Upstream kernel
ПП Высокий Драйвер UAS
CVE-2017-16525 A-69050921
Upstream kernel
ПП Высокий USB-драйвер
CVE-2017-16535 A-69052675
Upstream kernel
РИ Высокий USB-драйвер
CVE-2017-16533 A-69052348
Upstream kernel
РИ Высокий USB-драйвер
CVE-2017-16531 A-69052055
Upstream kernel
РИ Высокий USB-драйвер
CVE-2017-16529 A-69051731
Upstream kernel
РИ Высокий USB-аудиодрайвер

Компоненты NVIDIA

Самая серьезная уязвимость позволяет локальному вредоносному ПО выполнять произвольный код в контексте привилегированного процесса.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-6281 A-66969318*
N-CVE-2017-6281
ПП Высокий Libnvomx
CVE-2017-6286 A-64893247*
N-CVE-2017-6286
ПП Высокий Libnvomx

Компоненты Qualcomm

Самая серьезная уязвимость позволяет злоумышленнику выполнять произвольный код в контексте привилегированного процесса с помощью специально созданного файла.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-18067 A-68992411
QC-CR#2081734 [2]
УВК Критический Драйвер адаптера беспроводной сети
CVE-2017-15815 A-68992395
QC-CR#2093392
УВК Критический WLAN
CVE-2017-18068 A-70799990
QC-CR#2072064
ПП Высокий WLAN
CVE-2017-18056 A-70237692
QC-CR#2119404
ПП Высокий WLAN
CVE-2017-18063 A-68992442
QC-CR#2114776
ПП Высокий WLAN
CVE-2017-18064 A-68992438
QC-CR#2114323
ПП Высокий WLAN
CVE-2017-15821 A-68992432
QC-CR#2113072
ПП Высокий WLAN
CVE-2017-14885 A-70237686
QC-CR#2113758
ПП Высокий WLAN
CVE-2017-18069 A-67582682*
QC-CR#2054772 QC-CR#2058471
РИ Высокий WLAN
CVE-2017-14882 A-68992424
QC-CR#2101439
РИ Высокий WLAN
CVE-2017-14878 A-70237706
QC-CR#2064580 [2] [3]
ОО Высокий Драйвер адаптера беспроводной сети

Компоненты Qualcomm с закрытым исходным кодом

Эти уязвимости затрагивают компоненты Qualcomm и описаны в бюллетенях по безопасности Qualcomm AMSS или оповещениях системы безопасности. Уровень серьезности этих уязвимостей определяется непосредственно компанией Qualcomm.

CVE Ссылки Тип Уровень серьезности Компонент
CVE-2017-17773 A-70221445 QC-CR#2125554* Н/Д Критический Компонент с закрытым исходным кодом
CVE-2016-10393 A-68326806 QC-CR#1055934* Н/Д Высокий Компонент с закрытым исходным кодом

Часто задаваемые вопросы

В этом разделе мы отвечаем на вопросы, которые могут возникнуть после прочтения бюллетеня.

1. Как определить, установлено ли на устройство обновление, в котором устранены перечисленные проблемы?

Информацию о том, как проверить обновления системы безопасности, можно найти в Справочном центре.

  • В исправлении от 1 марта 2018 года или более новом устранены все проблемы, связанные с обновлением 2018-03-01.
  • В исправлении от 5 марта 2018 года или более новом устранены все проблемы, связанные с обновлением 2018-03-05.

Производители устройств, позволяющие установить эти обновления, должны присвоить им один из следующих уровней:

  • [ro.build.version.security_patch]:[2018-03-01]
  • [ro.build.version.security_patch]:[2018-03-05]

2. Почему в этом бюллетене говорится о двух обновлениях системы безопасности?

Мы включили в этот бюллетень сведения о двух обновлениях, чтобы помочь нашим партнерам как можно скорее устранить уязвимости, затрагивающие все устройства Android. Рекомендуем партнерам Android исправить все вышеперечисленные проблемы и установить последнее обновление системы безопасности.

  • На устройствах с установленным обновлением 2018-03-01 должны быть исправлены все проблемы, упомянутые в соответствующем разделе этого бюллетеня, а также в предыдущих выпусках.
  • На устройствах с установленным обновлением 2018-03-05 или более новым должны быть исправлены все проблемы, упомянутые в этом бюллетене и предыдущих выпусках.

Рекомендуем партнерам собрать все исправления проблем в одно обновление.

3. Что означают сокращения в столбце Тип?

В этом столбце указан тип уязвимости по следующей классификации:

Сокращение Описание
УВК Удаленное выполнение кода
ПП Повышение привилегий
РИ Раскрытие информации
ОО Отказ в обслуживании
Н/Д Классификация недоступна

4. На что указывают записи в столбце Ссылки?

В таблицах с описанием уязвимостей есть столбец Ссылки. Каждая запись в нем может содержать префикс, указывающий на источник ссылки, а именно:

Префикс Значение
A- Идентификатор ошибки Android
QC- Ссылочный номер Qualcomm
M- Ссылочный номер MediaTek
N- Ссылочный номер NVIDIA
B- Ссылочный номер Broadcom

5. Что означает символ * рядом с идентификатором ошибки Android в столбце Ссылки?

Символ * означает, что исправление для уязвимости не опубликовано. Необходимое обновление содержится в последних бинарных драйверах для устройств Nexus, которые можно скачать на сайте для разработчиков.

6. Почему теперь одни уязвимости описываются в этих бюллетенях, а другие – в бюллетенях по безопасности Pixel  и Nexus, а также в остальных бюллетенях партнеров?

В этом бюллетене описаны уязвимости, которые были устранены в последнем обновлении системы безопасности для устройств Android. Решать дополнительные проблемы, перечисленные в бюллетенях по безопасности партнеров, для этого не потребовалось. Мы рекомендуем производителям чипсетов и устройств Android рассказывать об исправлениях для своих устройств в бюллетенях по безопасности на собственных сайтах, например Samsung, LGE, а также Pixel  и Nexus.

Версии

Версия Дата Примечания
1.0 5 марта 2018 г. Бюллетень опубликован.
1.1 7 марта 2018 г. Добавлены ссылки на AOSP.